Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class IndexSpecification

    java.lang.Object
      oracle.ifs.common.IndexSpecification

All Implemented Interfaces:
  java.io.Serializable

    public class IndexSpecification

extends java.lang.Object
implements java.io.Serializable

A `IndexSpecification` represents a database index. Users can specify the name, list of columns, uniquenes and partitioning attributes for the index. For partitioned classes, if partitioning is set to true, a partition prefixed local index is created.

The default behavior is to create a non-unique non partitioned index.

See Also:
  Serialized Form
(Unpublished)

Field Summary
`protected java.lang.String[]` | `m_Columns` The columns of the index
`protected boolean` | `m_IsPartitioned` Is the index partitioned.
`protected boolean` | `m_IsUnique` Is the index unique.
`protected java.lang.String` | `m_Name` The index name

Constructor Summary
`IndexSpecification()` default constructor.
`IndexSpecification(java.lang.String name, java.lang.String[] columns)`
`IndexSpecification(java.lang.String name, java.lang.String[] columns, boolean isUniq, boolean isPartitioned)`

Method Summary
`java.lang.String[]` | `getColumns()`
`java.lang.String` | `getCreateStatement(java.lang.String tableName, boolean tabIsPartitioned)`
`java.lang.String` | `getName()`
`boolean` | `isPartitioned()`
`boolean` | `isUnique()`
`void` | `setColumns(java.lang.String[] columns)`
`void` | `setName(java.lang.String name)`
`void` | `setPartitioned(boolean partition)`
`void` | `setUnique(boolean uniq)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_Columns

    protected java.lang.String[] m_Columns

  Description copied from class: `IndexSpecification`
  The columns of the index

### m_Name

    protected java.lang.String m_Name

  Description copied from class: `IndexSpecification`
  The index name

### m_IsUnique

    protected boolean m_IsUnique

  Description copied from class: `IndexSpecification`
  Is the index unique. Deafult is false

### m_IsPartitioned

    protected boolean m_IsPartitioned

  Description copied from class: `IndexSpecification`
  Is the index partitioned. For partitioned tables, a Local prefixed index is created, if set to true. A non-partitioned index is created if set to false. For non-partitioned tables, the option is ignored. Default is false.

Constructor Detail

### IndexSpecification

    public IndexSpecification()
                       throws IfsException

  default constructor.

  Throws:
    `IfsException`

### IndexSpecification

    public IndexSpecification(java.lang.String name,
                              java.lang.String[] columns)
                       throws IfsException

Throws:
  `IfsException`

### IndexSpecification

    public IndexSpecification(java.lang.String name,
                              java.lang.String[] columns,
                              boolean isUniq,
                              boolean isPartitioned)
                       throws IfsException

Throws:
  `IfsException`

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)
                 throws IfsException

  Throws:
    `IfsException`

### getColumns

    public java.lang.String[] getColumns()

### setColumns

    public void setColumns(java.lang.String[] columns)
                    throws IfsException

  Throws:
    `IfsException`

### isUnique

    public boolean isUnique()

### setUnique

    public void setUnique(boolean uniq)

### isPartitioned

    public boolean isPartitioned()

### setPartitioned

    public void setPartitioned(boolean partition)

### getCreateStatement

    public java.lang.String getCreateStatement(java.lang.String tableName,
                                               boolean tabIsPartitioned)
                                        throws IfsException

  Throws:
    `IfsException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD